summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorBen Lindstrom <mouring@eviladmin.org>2001-02-23 04:55:46 +0000
committerBen Lindstrom <mouring@eviladmin.org>2001-02-23 04:55:46 +0000
commit379f205a164ac0ede684f05635fe37fba30198b1 (patch)
tree6eb5eb20935573cd593bc014f0b147068a6ec0ab /contrib
parent008e29189ed5ebd2a30540a8dfdcbdc3bdbd6b1a (diff)
- (bal) Patch to force OpenSSH rpm to require the same version of OpenSSL
that it was compiled against. Patch by Pekka Savola <pekkas@netcore.fi>
Diffstat (limited to 'contrib')
-rw-r--r--contrib/redhat/openssh.spec3
1 files changed, 3 insertions, 0 deletions
diff --git a/contrib/redhat/openssh.spec b/contrib/redhat/openssh.spec
index 1e18aa9e..b7c25159 100644
--- a/contrib/redhat/openssh.spec
+++ b/contrib/redhat/openssh.spec
@@ -22,6 +22,8 @@
# rpm -ba|--rebuild --define "rh7 1"
%{?rh7:%define redhat7 1}
+%define exact_openssl_version %(rpm -q openssl | cut -d - -f 2)
+
Summary: OpenSSH free Secure Shell (SSH) implementation
Name: openssh
Version: %{oversion}
@@ -37,6 +39,7 @@ Group: Applications/Internet
BuildRoot: /tmp/openssh-%{version}-buildroot
Obsoletes: ssh
PreReq: openssl >= 0.9.5a
+RreReq: openssl = %{exact_openssl_version}
Requires: openssl >= 0.9.5a
Requires: rpm >= 3.0.5
BuildPreReq: perl, openssl-devel, tcp_wrappers